import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Write a description of class Blood here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Blood extends Bar
{
    public Blood(Tank tank)     
    {
        bg=new GreenfootImage(tank.getFullBlood()+2,5);
        bg.setColor(Color.BLACK);
        bg.fill();
        gI=bg;
        bd=new GreenfootImage(tank.getBlood(),3);
        bd.setColor(Color.RED);
        bd.fill();
        gI.drawImage(bd,1,1);
        setImage(gI);
        this.tank=tank;
        tankBind=true;   //確定綁定的坦克是否還存活，若存活才需要產生，若死亡則由場景中移除
    }

    /**
     * 當血條計量表產生至場景中之後，連帶產生開火計量表
     */
    protected void addedToWorld(World world)
    {
        LevelOne bk=getWorldOfType(LevelOne.class);
        bk.addObject(new Fire(tank),getX(),getY()+4);
    }
    /**
     * 用來調整血量和繼續移動
     */
    public void adjustBloodAndMove()
    {
        int b=tank.getBlood();
        if(b<=0)
        {
            LevelOne bk=getWorldOfType(LevelOne.class);
            bk.removeObject(tank);
            tankBind=false;
            bk.removeObject(this);
        }
        else
        {
            bg.clear();
            bg.setColor(Color.BLACK);
            bg.fill();
            gI=bg;
            bd=new GreenfootImage(b,3);
            bd.setColor(Color.RED);
            bd.fill();
            gI.drawImage(bd,1,1);
            setImage(gI);
        }
        if(tankBind)
        {
            setLocation(tank.getX(),tank.getY()+26);
        }
    }
    
    /**
     * Act - do whatever the Blood wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        adjustBloodAndMove();
        
    }    
}
