import greenfoot.*;

/**
 * Write a description of class Bomber here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Bomber extends Actor
{
    private int pow=100;  //轟炸機的攻擊力
    private GreenfootSound fireSound;   //轟炸機出場時的音效
    public Bomber(int angle)
    {
        setRotation(angle);
        fireSound=new GreenfootSound("bomber.mp3");
        fireSound.play();
    }
    
    /**
     * 清除沿路上的敵方坦克及炮彈
     */
    public void detectAndMove()
    {
        move(8);
        TrashTank t =(TrashTank)getOneIntersectingObject(TrashTank.class);  //取得被碰觸到的敵方坦克物件
        if(t!=null)  //如果有碰觸到敵方坦克
        {
            t.reduceBlood(pow);  //將敵方坦克的血量扣除轟炸機的破壞力
        }
        if(isTouching(TcomBullet.class))  //如果接觸到敵方坦克所發射的炮彈
        {
            removeTouching(TcomBullet.class);  //讓它從畫面上人間蒸發
        }
        else
        {
            return;
        }
    }
    
    /**
     * Act - do whatever the Bomber wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        detectAndMove();
    }    
}
