import greenfoot.*;

/**
 * Write a description of class ComBullet here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class ComBullet extends HeroBullet
{
    public ComBullet(int rotation)
    {
        super(rotation);
        pow=15;
        speed=3;
    }
    
    /**
     * 處理攻擊到的物件
     * destroy all touching except ironbrick
     */
    public void manageTouching()
    {
        TrashTank t =(TrashTank)getOneIntersectingObject(TrashTank.class);
        if(isTouching(Brick.class))  
        {   
            removeTouching(ComBrick.class);  //移除迷宮磚塊
            selfDestruction();
        }
        else if(isTouching(TcomBullet.class))
        {   
            removeTouching(TcomBullet.class);  //移除敵方坦克所發射的炮彈
            selfDestruction();
        }
        else if (t!=null)
        {
            t.reduceBlood(pow);    //如果攻擊到敵方坦克，則將它的坦克血量扣除攻擊力
            selfDestruction();
        }
        else if(isTouching(Base.class))  //如果打到基地就遊戲結束
        {   
            removeTouching(Base.class);
            LevelOne lv=getWorldOfType(LevelOne.class);
            GreenfootSound explosionSound = new GreenfootSound("base-explosion.mp3");
            explosionSound.play();
            lv.gameOver();
            selfDestruction();            
        }
    }
    
    
    
    /**
     * Act - do whatever the ComBullet wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        move(speed);
        manageTouching();
    }    
}
