import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Fire here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Fire extends Bar
{
    public Fire(Tank tank)
    {
        bg=new GreenfootImage(tank.getFullBlood()+2,5);
        bg.setColor(Color.BLACK);
        bg.fill();
        gI=bg;
        bd=new GreenfootImage(tank.getFullBlood(),3);
        bd.setColor(Color.GREEN);
        bd.fill();
        gI.drawImage(bd,1,1);
        setImage(gI);
        this.tank=tank;
        tankBind=true;  //確定綁定的坦克是否還存活，若存活才需要產生，若死亡則由場景中移除
    }
    
    /**
     * 用來調整開火計算和繼續移動
     */
    public void adjustFireAndMove()
    {
        int b=tank.getBlood(); //確定還有血量
        //因為一但開火之後，計量表馬上歸零，接著要逐步恢復到能夠開火(填滿計量條)的狀態，
        //剛好跟開火倒數計時器成反比
        int c=tank.getFireRate()-tank.getFireTimer(); 
        if(b<=0)  //坦克沒血時，開火計量條要一併移除
        {
            LevelOne bk=getWorldOfType(LevelOne.class);
            bk.removeObject(tank);
            tankBind=false;
            bk.removeObject(this);
        }
        else
        {
            bg.clear();
            bg.setColor(Color.BLACK);
            bg.fill();
            gI=bg;
            int d=c*tank.getFullBlood()/tank.getFireRate();  
            //將開火計時器，調整成與血條一樣，以免太長或太短不好看
            if(d<=0)
            {
                d=1;
            }
            bd=new GreenfootImage(d,3);
            bd.setColor(Color.GREEN);
            bd.fill();
            gI.drawImage(bd,1,1);
            setImage(gI);
        }
        if(tankBind)
        {
            setLocation(tank.getX(),tank.getY()+30);
        }
    }
    /**
     * Act - do whatever the Fire wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
        adjustFireAndMove();
    }    
}
