import greenfoot.*;
import java.awt.Color;

public class Messages extends Actor
{
    GreenfootImage img;  //記錄訊息用
    int trans;   //訊息透明度
    public Messages(String msg)
    { 
        img=new GreenfootImage(msg,16,null,null,Color.RED);
        setImage(img);
        trans=255;
    }
    
    public void act() 
    {
        // Add your action code here.
        trans-=3;  //產生逐漸變淡的效果
        if(trans>0)
        {
            img.setTransparency(trans);
        }
        else
        {
            img.setTransparency(0);
        }
        setImage(img);
        int x=getX();
        int y=getY()-1;  //產生逐漸上移的效果
        setLocation(x,y);
    }    
}
